
Summary:   Intel / AMD CPU Microcode Utility
Name:      microcode_ctl
Version:   2.1
Release:   %mkrel 1
Group:     System/Kernel and hardware
License:   GPLv2
Url:       http://fedorahosted.org/microcode_ctl
Source0:   http://fedorahosted.org/released/microcode_ctl/%{name}-%{version}.tar.xz
Source2:   update-intel-microcode
Source3:   update-intel-microcode.8
Source4:   update-amd-microcode
Source5:   update-amd-microcode.8
Source6:   update-microcode
Requires: curl
Requires(post): rpm-helper
Requires(preun): rpm-helper
ExclusiveArch: %ix86 x86_64
Requires: glibc >= 2.20

%description
Since PentiumPro, Intel CPU are made of a RISC chip and of a microcode whose
purpose is to decompose "old" ia32 instruction into new risc ones.
P6 familly is concerned: PPro, PII, Celeron, PIII, Celeron2, Core 2, ...
Recent kernels have the ability to update this microcode.

The microcode update is volatile and needs to be uploaded on each system
boot. I.e. it doesn't reflash your cpu permanently.
Reboot and it reverts back to the old microcode.

This package also support updating latest AMD CPU microcode.

%prep
%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %buildroot
mkdir -p %{buildroot}%{_mandir}/man8
%makeinstall_std INSDIR=%{_sbindir} PREFIX=/usr
# install intel firmware downloader 
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_sbindir}
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_mandir}/man8
# install AMD firmware downloader 
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT%{_sbindir}
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_mandir}/man8
# install monthly cron
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.monthly
install -m755 %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/cron.monthly
#
mkdir -p $RPM_BUILD_ROOT/lib/firmware/amd-ucode 
mkdir -p $RPM_BUILD_ROOT/lib/firmware/intel-microcode

%files
%doc README
%_sbindir/*
%_mandir/man8/*
%_sysconfdir/cron.monthly/update-microcode
/lib/firmware/*

%changelog
* Tue Jan 27 2015 bb <bb> 2.1-1pclos2015
- update
